<template>
    <div>
        <p class="pa-3 pb-0 text-h5 font-weight-bold">Créer une présentation</p>

        <v-card
            @click="addPresentation()"
            class="ma-3 pa-3"
            height="150"
            width="300"
        >
            <v-row no-gutters class="fill-height" align="center" justify="center">
                <v-icon style="margin: auto" size="50">mdi-plus</v-icon>
            </v-row>
        </v-card>
    </div>
</template>

<script>
import { getPresentations, addOnePresentation } from "@/services/presentations";

export default {
    props: ["id"],
    methods: {
        getPresentations,
        async addPresentation() {
            try {
                await this.$store.dispatch('slide/addPresentation', {
                    userId: this.$store.getters['user/user'].uid,
                    title: 'Présentation'
                });
            } catch (e) {
                console.error(e);
            }
        },
        // pushRouter() {
        //     this.$router.push("/presentation/" + getPresentations().length + "/1");
        // },
    },
};
</script>
